Cotonti / Open Source PHP Content Management FrameworkContent Management Framework

Download / Cotonti Siena 0.9.18

A 18th update in the Siena series of Cotonti CMS

#1. Package contents

  • Basic CMF.
  • Modules: Forums, Homepage, Installation and Upgrade, Pages, Personal File Space, Private Messages, Polls, RSS, Users, View.
  • Plugins: AJAX autocomplete, Banlist, BBcode, CKEditor, Cleaner, Comments, Contact, Forum statistics, Hidden groups, Hit statistics, HTML Purifier, Contents Internationalization, IPSearch, markItUp!, MassMoveTopics, MathCaptcha, News, Start Ratings, Recent Items, Referers, Search, Sitemap, Statistics, Tags, Trashcan, URLEditor, User images, User by first letter, Who is online.
  • Themes: Nemesis (development), SymiSun-03 (showcase).
  • Icon packs: Tango.
  • Locales: English, Russian.

#2. Requirements

  • PHP 5.3 or higher.
  • MySQL 5.0.8 or higher.
  • PHP extensions: GD, Hash, Mbstring, MySQL (mysqli, mysqlnd are suitable too), PCRE, PDO and PDO_MySQL, Sessions, Zlib.

#3. What's new in Siena 0.9.18

For more details please see this report.

See the list of new TPL tags here.

#4. Installation

  1. Copy datas/config-sample.php to datas/config.php and make it writable with CHMOD 666 or CHMOD 664 (depending on your hosting configuration).
  2. Make the following folders and all their subfolders writable too with CHMOD 777 or CHMOD 775:
    	/datas/avatars
    	/datas/cache (and all its subfolders)
    	/datas/defaultav
    	/datas/extflds
    	/datas/photos
    	/datas/thumbs
    	/datas/users
    
  3. Open your favorite browser and locate the installation script in it, e.g.: http://example.com/install.php
  4. Follow the instruction on the screen up to the end of installation.

#5. Update from 0.9.17

See updating instructions here.

For the list of files updated from 0.9.17 please see this diff and click "Files Changed".

#6. Upgrade from Genoa

All upgrading procedures are described in this document. You will also need files from cotonti-legacy to perform the upgrade.


« Previous page: Cotonti Siena 0.9.17 Next page: Cotonti Siena 0.9.19 »


1. fedai  2015-01-22 12:57

Thanks: 0

Error:

Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM, expecting T_VARIABLE in C:\AppServ\www\xxx\system\resources.php on line74

2. Dayver  2015-01-23 11:05

Thanks: 0

Because for Cotonti 0.9.18 need php 5.3. For this created tiket https://github.com/Cotonti/Cotonti/issues/1395

3. Lover  2015-09-15 23:36

Thanks: 0

tags modul making error check trustmaster this version

Total: 3, on page: 3

Only registered users can post new comments